- Individual verifications created with
POST /v1/verifications - Company verifications created with
POST /v1/company-verifications
Individual verification statuses
For individual verifications, the current model and API expose these status codes:not started(1001)started(2000)abandoned(3033)completed(2001)successful(2010)failed(4100)cancelled(5000)
Where individual verification statuses appear
You can encounter these values in:- the decision webhook payload
GET /v1/verificationsGET /v1/verifications/{id}
Individual verification status codes
Thestatus field is a string and statusCode is its numeric counterpart.
Responses
2010, 4100, 3033, and 5000 are conclusive outcomes. Once a session reaches one of those states, the verification is effectively closed.
If you decide to give the end-user another try after a conclusive response, you need to create a new session using the POST /v1/verifications endpoint.
Individual verification expiry and abandonment
All verification sessions expire after 7 days.- Sessions in the
not startedstatus will move tocancelled - Sessions in the
startedstatus will move toabandoned
Company verification statuses
Company verifications have a different lifecycle from individual verifications. The current company-verification model uses these status codes:not started(1001)started(2002)submitted(2003)under review(2004)abandoned(3033)successful(2060)failed(4004)
Where company verification statuses appear
Company verifications do not currently expose a public fetch endpoint. You can encounter company statuses in:- company-verification webhook payloads
- the Helium ID Dashboard
Company verification status codes
For integrations, the most important company-verification milestones are:
submittedunder reviewsuccessfulfailed
Company verification webhook mapping
Company verification uses dedicated event names:- Events webhook
company_verification.submittedcompany_verification.liveness_completedcompany_verification.under_review
- Decision webhook
company_verification.successfulcompany_verification.failed